@charset "UTF-8";
/* Credit Cards */
.additionalFields .adyen-checkout__label,
.adyen-checkout__label__text {
  float: none;
  width: 100%;
  text-align: left;
}

.form-horizontal #newCard label {
  float: none;
  width: 100%;
  text-align: left;
}

.creditCard {
  margin-left: 27%;
}

.paymentMethod {
  list-style-type: none;
  margin: 0.5em 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.paymentMethod input[name=brandCode] {
  width: 1rem;
  height: 1rem;
}
.paymentMethod input[name=brandCode]:checked {
  width: 0.75rem;
  height: 0.75rem;
  margin: 0 2px;
  outline: 2px solid black;
  border-radius: 50%;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  border: 2px solid white;
  background: black;
}
.paymentMethod input[name=brandCode]:focus-visible {
  outline: 3px solid black;
}
.paymentMethod.paybylink-payment {
  margin: 0 0 2.5rem 0;
}
.paymentMethod.paybylink-payment .paybylink-label {
  padding: 0 0 0 0.75rem;
}

.paybylink-button {
  max-width: 20.9375rem;
  display: inline-block;
}

.paymentMethod_img {
  margin: 0 0.3125em;
  vertical-align: middle;
  width: auto;
  height: 24px;
}

.adyen-checkout__card__brands img {
  vertical-align: unset;
}

.additionalFields {
  display: inline-block;
}

.hiddenFields {
  display: none;
}

.security-code-input .adyen-checkout__field:first-child {
  display: none;
}

/* Checkout Components */
.checkoutComponent {
  display: none;
  margin-top: 1.25em;
}

#component_ach .form-row label {
  float: left;
}

#type {
  list-style-type: none;
  line-height: 3.125em;
}

#type .form-row {
  margin: 0 0.3125em;
}

#ssnValue {
  background: #fff;
  border: 0.0625em solid #b9c4c9;
  border-radius: 0.1875em;
  color: #001b2b;
  display: block;
  font-family: inherit;
  font-size: 1em;
  height: 3em;
  outline: none;
  padding: 0.3125em 0.5em;
  position: relative;
  -webkit-transition: border 0.2s ease-out, -webkit-box-shadow 0.2s ease-out;
  transition: border 0.2s ease-out, -webkit-box-shadow 0.2s ease-out;
  transition: border 0.2s ease-out, box-shadow 0.2s ease-out;
  transition: border 0.2s ease-out, box-shadow 0.2s ease-out, -webkit-box-shadow 0.2s ease-out;
  width: 12.5em;
}

#ssn_klarna {
  margin-top: 1em;
}

/* Summary page */
.summary-label {
  font-weight: bold;
}

.adyen-payment-details {
  max-width: 25em;
  margin: auto;
}

/* Custom Adyen */
.payment-method #type {
  margin-left: 22%;
}

.payment-method .issuer {
  margin: 1% 5%;
  display: none;
}

.payment-method-options .form-row {
  width: 25%;
}

.payment-method #type .logo {
  position: absolute;
}

.payment-method #type label {
  display: inline;
  float: none;
  width: auto;
}

.payment_method_label {
  padding: 0.75em 6em 0;
}

.adyen-method-label {
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
  padding: 1rem 0.75rem;
  margin: 0;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

.openinvoiceInput {
  display: none;
}

.adyen-checkout__field {
  display: table;
}

.card-error {
  display: none;
}

/* Custom Adyen SFRA */
.adyen-checkout__input-wrapper .adyen-checkout__dropdown__list {
  z-index: 10;
}

.adyen-checkout__input {
  border-radius: 3px !important;
  height: 44px !important;
}

#paymentMethodsUl {
  width: 80%;
  -webkit-padding-start: 0;
          padding-inline-start: 0;
  margin: auto;
}

#adyenModalDialog {
  pointer-events: auto;
  background: white;
}

#amazonModal {
  opacity: 0.95;
}

#amazonContainerSG {
  position: fixed;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  background: white;
}

/* The Modal (background) */
#action-modal-SG {
  display: none;
  position: fixed;
  z-index: 50;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
}

.action-modal-content-SG {
  background: white;
  margin-top: 10%;
  margin-left: 40%;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
}

#giftcard-container {
  padding: 2em;
}

#closeGiftCardModal {
  position: absolute;
  top: 0;
  right: 0;
}

.invisible {
  display: none;
}

#cancelGiftCardContainer {
  cursor: pointer;
}

/* Toggle Switch */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
  margin: 0;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider::before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: #2196f3;
}

input:focus + .slider {
  -webkit-box-shadow: 0 0 1px #2196f3;
          box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider::before {
  -webkit-transform: translateX(26px);
  transform: translateX(26px);
}

.slider.round {
  border-radius: 34px;
}

.slider.round::before {
  border-radius: 50%;
}

/* Gift card Dropdown */
#giftCardSelectContainer {
  position: relative;
}

.gift-card-selection {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  width: 100%;
  border-radius: 8px;
  border: 1px solid #b9c4c9;
  padding: 16px;
  background: white;
  position: relative;
}

.gift-card-selection hr {
  width: 100%;
}

.gift-card-selection select {
  width: 95%;
  border: 0;
  outline: none;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
}

.gift-card-select-wrapper {
  width: 100%;
  margin: 10px 0 25px;
  padding: 10px;
  border-radius: 8px;
  border: 1px solid #b9c4c9;
}

.gift-card-select-wrapper::after {
  content: "\2304";
  vertical-align: top;
  line-height: 1;
  pointer-events: none;
}

.gift-card-select-wrapper:hover {
  border-color: #99a3ad;
  cursor: pointer;
}

.gift-card-selection select:hover {
  cursor: pointer;
}

.gift-card-select-wrapper:focus-within {
  border-color: black;
  -webkit-box-shadow: 0 0 0 2px black;
          box-shadow: 0 0 0 2px black;
}

.gift-card-selection .list-cards {
  background: #fff;
  list-style: none;
  margin: 0 0 50px;
  overflow-y: auto;
  position: absolute;
  width: 100%;
  border-radius: 6px;
  -webkit-box-shadow: 0 2px 7px rgba(0, 15, 45, 0.3);
          box-shadow: 0 2px 7px rgba(0, 15, 45, 0.3);
  max-height: 375px;
  z-index: 10;
  top: 10px;
  padding: 0;
}

.gift-card-selection ul li {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  padding: 10px;
  cursor: pointer;
}

.gift-card-selection ul li > * {
  pointer-events: none;
}

.gift-card-selection ul li:hover {
  background: rgba(230, 233, 235, 0.6);
}

.gift-card-selection select option {
  display: none;
}

.gift-card-selection .heading-img {
  position: absolute;
  top: -13px;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  width: 40px;
  height: 26px;
}

.gift-card-selection p {
  margin: 0;
}

.gift-card-logo {
  width: 40px;
  height: 26px;
}

.gift-card-warning-msg {
  display: block;
  margin: 20px 0;
}

.payment-methods-container {
  padding: 0;
  margin-bottom: 20px;
}

.additionalFields {
  margin-bottom: 10px;
  width: 100%;
  -ms-flex-preferred-size: 100%;
      flex-basis: 100%;
}

.gift-cards-container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  margin-top: 10px;
}

.gift-cards-container .gift-card {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 100%;
  padding: 10px;
  border: 1px solid #b9c4c9;
  border-radius: 8px;
  margin: 5px 0;
  -webkit-box-shadow: 0 5px 10px 0 lightgrey;
          box-shadow: 0 5px 10px 0 lightgrey;
}

.gift-cards-container .gift-card .wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  width: 100%;
  margin: 4px 0;
}

.gift-cards-container .gift-card .wrapper p {
  font-size: 13px;
}

.gift-cards-container .brand-container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
}

.gift-cards-container .brand-container p {
  margin: 0 10px;
}

.gift-cards-container .gift-card-action {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.gift-cards-container .gift-card-action a {
  cursor: pointer;
  font-size: 13px;
}

#cancelGiftCardButton,
#cancelQrMethodsButton {
  position: absolute;
  top: 0;
  right: 0;
}

#cancelGiftCardButtonStyling,
#cancelQrMethodsButtonStyling {
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
}

.expressComponent {
  margin: 10px 0;
}

.expressComponent button {
  width: 100%;
  padding: 10px 0;
}

.express-loader-container {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.express-loader {
  width: 48px;
  height: 48px;
  border: 5px solid #00a1e0;
  border-bottom-color: transparent;
  border-radius: 50%;
  display: inline-block;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  -webkit-animation: rotation 1s linear infinite;
          animation: rotation 1s linear infinite;
}

.hidden {
  visibility: hidden;
  height: 0;
}

.adyen-checkout__amazonpay__button {
  min-width: 100%;
}

@-webkit-keyframes rotation {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}

@keyframes rotation {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
.gift-cards-info-message-container {
  margin-top: 10px;
}

#amazonPayAddressDetails label,
label[for=shippingMethods] {
  font-weight: 500;
}

.addressHeaders {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

.addressHeaders > label {
  white-space: nowrap;
}

address {
  font-size: 0.9rem;
}

.editAddressBtn {
  background: none;
  border: none;
  padding: 0;
  font: inherit;
  color: #0070d2;
  margin-bottom: 0.5rem;
}

.payment-methods-container .adyen-checkout__applepay__button {
  width: 100%;
}
.payment-methods-container .adyen-checkout__input:active,
.payment-methods-container .adyen-checkout__input:focus,
.payment-methods-container .adyen-checkout__input--focus,
.payment-methods-container .adyen-checkout__input:active:hover,
.payment-methods-container .adyen-checkout__input:focus:hover,
.payment-methods-container .adyen-checkout__input--focus:hover {
  border: 2px solid black;
  -webkit-box-shadow: none;
          box-shadow: none;
}
.payment-methods-container .adyen-checkout__label--focused .adyen-checkout__label__text {
  color: black;
}

.adyen-checkout__checkbox__label {
  font-size: 1rem !important;
}

.adyen-checkout__checkbox__input:focus + .adyen-checkout__checkbox__label::after {
  border-color: black !important;
  -webkit-box-shadow: 0 0 0 2px black !important;
          box-shadow: 0 0 0 2px black !important;
}

.adyen-checkout__field--storedCard.adyen-checkout__field--securityCode .adyen-checkout__label {
  margin-bottom: 0.5rem;
}